# yaml_to_asdf

asdf.tests.helpers.yaml_to_asdf(yaml_content, yaml_headers=True, standard_version=None)

  Given a string of YAML content, adds the extra pre- and post-amble to make it an ASDF file.

  Parameters
    yaml_content string
    yaml_headers bool, optional

      When True (default) add the standard ASDF YAML headers.

  Returns
    buff io.BytesIO()

      A file-like object containing the ASDF-like content.